package org.bench4q.share.models.agent;

import java.util.LinkedList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "parameterizationInfoList")
public class ParameterizationInfoListModel {
	private List<ParameterizationInfoModel> parameterizationInfoModels;

	@XmlElementWrapper(name = "parameterizationInfos")
	@XmlElement(name = "parameterizationInfo")
	public List<ParameterizationInfoModel> getParameterizationInfoModels() {
		return parameterizationInfoModels;
	}

	public void setParameterInfoModels(
			List<ParameterizationInfoModel> parameterizationInfoModels) {
		this.parameterizationInfoModels = parameterizationInfoModels;
	}

	public ParameterizationInfoListModel() {
		this.setParameterInfoModels(new LinkedList<ParameterizationInfoModel>());
	}
}
